Classes | Enumerations

# Window Docking (wxAUI)
[Full Class List by Category]

## Detailed Description

wxAUI is a set classes for writing a customizable application interface with built-in docking, floatable panes and a flexible MDI-like interface.

Related Overviews: wxAUI Overview

## Classes
class | wxAuiNotebook
| wxAuiNotebook is part of the wxAUI class framework. More...
class | wxAuiTabArt
| Tab art class. More...
class | wxAuiDockArt
| wxAuiDockArt is part of the wxAUI class framework. More...
class | wxAuiManager
| wxAuiManager is the central class of the wxAUI class framework. More...
class | wxAuiPaneInfo
| wxAuiPaneInfo is part of the wxAUI class framework. More...
class | wxAuiManagerEvent
| Event used to indicate various actions taken with wxAuiManager. More...
class | wxAuiToolBarEvent
| wxAuiToolBarEvent is used for the events generated by wxAuiToolBar. More...
class | wxAuiToolBarItem
| wxAuiToolBarItem is part of the wxAUI class framework. More...
class | wxAuiToolBarArt
| wxAuiToolBarArt is part of the wxAUI class framework. More...
class | wxAuiDefaultToolBarArt
| wxAuiDefaultToolBarArt is part of the wxAUI class framework. More...
class | wxAuiToolBar
| wxAuiToolBar is a dockable toolbar, part of the wxAUI class framework. More...
## Enumerations
enum | wxAuiToolBarStyle { wxAUI_TB_TEXT = 1 << 0, wxAUI_TB_NO_TOOLTIPS = 1 << 1, wxAUI_TB_NO_AUTORESIZE = 1 << 2, wxAUI_TB_GRIPPER = 1 << 3, wxAUI_TB_OVERFLOW = 1 << 4, wxAUI_TB_VERTICAL = 1 << 5, wxAUI_TB_HORZ_LAYOUT = 1 << 6, wxAUI_TB_HORIZONTAL = 1 << 7, wxAUI_TB_HORZ_TEXT = (wxAUI_TB_HORZ_LAYOUT | wxAUI_TB_TEXT), wxAUI_ORIENTATION_MASK = (wxAUI_TB_VERTICAL | wxAUI_TB_HORIZONTAL), wxAUI_TB_DEFAULT_STYLE = 0 }
enum | wxAuiToolBarArtSetting { wxAUI_TBART_SEPARATOR_SIZE = 0, wxAUI_TBART_GRIPPER_SIZE = 1, wxAUI_TBART_OVERFLOW_SIZE = 2 }
enum | wxAuiToolBarToolTextOrientation { wxAUI_TBTOOL_TEXT_LEFT = 0, wxAUI_TBTOOL_TEXT_RIGHT = 1, wxAUI_TBTOOL_TEXT_TOP = 2, wxAUI_TBTOOL_TEXT_BOTTOM = 3 }

## Enumeration Type Documentation

enum wxAuiToolBarArtSetting

##

Library: wxAui
Category: Window Docking (wxAUI)

Enumerator:

  wxAUI_TBART_SEPARATOR_SIZE |
  wxAUI_TBART_GRIPPER_SIZE |
  wxAUI_TBART_OVERFLOW_SIZE |

enum wxAuiToolBarStyle

##

Library: wxAui
Category: Window Docking (wxAUI)

Enumerator:

  wxAUI_TB_TEXT |
  wxAUI_TB_NO_TOOLTIPS |
  wxAUI_TB_NO_AUTORESIZE |
  wxAUI_TB_GRIPPER |
  wxAUI_TB_OVERFLOW |
  wxAUI_TB_VERTICAL | Using this style forces the toolbar to be vertical and be only dockable to the left or right sides of the window whereas by default it can be horizontal or vertical and be docked anywhere.
  wxAUI_TB_HORZ_LAYOUT |
  wxAUI_TB_HORIZONTAL | Analogous to wxAUI_TB_VERTICAL, but forces the toolbar to be horizontal.
  wxAUI_TB_HORZ_TEXT |
  wxAUI_ORIENTATION_MASK |
  wxAUI_TB_DEFAULT_STYLE |

enum wxAuiToolBarToolTextOrientation

##

Library: wxAui
Category: Window Docking (wxAUI)

Enumerator:

  wxAUI_TBTOOL_TEXT_LEFT | unused/unimplemented
  wxAUI_TBTOOL_TEXT_RIGHT |
  wxAUI_TBTOOL_TEXT_TOP | unused/unimplemented
  wxAUI_TBTOOL_TEXT_BOTTOM |

|  | [ top ]